Bug 186692 - Option "XkbLayout" fails to handle "us+ru" properly
Option "XkbLayout" fails to handle "us+ru" properly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-xkbdata (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-25 08:24 EST by Walery Studennikov
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 10:36:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walery Studennikov 2006-03-25 08:24:14 EST
Description of problem:
When setting Option "XkbLayout" to something like "LANG+LANG" (for example
"us+ru") - it doesn't work as expected

Version-Release number of selected component (if applicable):
xorg-x11-xkbdata-1.0.1-7.noarch.rpm

How reproducible:

Steps to Reproduce:
1. Find "InputDevice" section of xorg.conf:
2. Set Option "XkbLayout" "us+ru(winkeys)"
3. Set Option "XkbModel" "pc104"
4. Set Option "XkbOptions" "grp:rwin_toggle"
5. start XWindow
6. Try to type something in any application

 
Actual results:
Keyboard layout is always Russian (in case of "us+ru") or always English (in
case of "ru+us") and it is NO WAY to switch language.
Language/Layout can't be switched by RWIN key.

Expected results:
The default layout should be English.
When pressing RWIN key - layout should be shitched to Russian.

Additional info:
Also other layout combinations such as "us+ru(winkeys)" doesn't work.
Comment 1 Mike A. Harris 2006-05-18 20:16:10 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 2 Mike A. Harris 2006-06-27 10:36:05 EDT
Closing bug "INSUFFICIENT_DATA" as no upstream bug URL has been provided
for tracking purposes.  If the issue has been reported upstream, feel free
to provide the URL here and we will track it.

It should actually be reported against "xkeyboard-config" upstream rather
than "xorg" as indicated above.


Note You need to log in before you can comment on or make changes to this bug.